Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Flexible Capture


Use this information to process a capture for a Flexible EMV transaction. For more information about this payment service, see Flexible Transaction Scenario.

Endpoints

The {id} is the transaction ID returned in the authorization response.

POST /pts/v2/payments/{id}/captures

POST /pts/v2/payments/{id}/captures

Example

This example captures a Visa transaction in the Flexible EMV Scenario.

{    "clientReferenceInformation": {        "code": "test123",        "comments": "Flexible Capture",        "partner": {            "developerId": "DEVID001",            "thirdPartyCertificationNumber": "prodTPCN",            "solutionId": "SOLID001"        }    },    "orderInformation": {        "amountDetails": {            "totalAmount": "30.00",            "currency": "USD"        }    }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/captures/7574535623316268303813/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/captures/7574535623316268303813"        }    },    "clientReferenceInformation": {        "comments": "Flexible Capture",        "code": "test123",        "partner": {            "developerId": "DEVID001",            "solutionId": "SOLID001"        }    },    "id": "7574535623316268303813",    "orderInformation": {        "amountDetails": {            "totalAmount": "30.00",            "currency": "USD"        }    },    "reconciliationId": "7474221808366131703814",    "status": "PENDING",    "submitTimeUtc": "2025-05-16T20:04:21Z"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet the value to Flexible Capture.
clientReferenceInformation.partner.developerId assigns this value (maximum 8 characters) when you onboard as a partner. The example value is a placeholder: substitute your assigned developer ID.
clientReferenceInformation.partner.solutionId assigns this value (maximum 8 characters) when you onboard as a partner. The example value is a placeholder: substitute your assigned solution ID.
clientReferenceInformation.partner.thirdPartyCertificationNumberThe value is provided by .
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
pointOfSaleInformation.emv.tagsThis field is required only for the contact entry mode.
pointOfSaleInformation.encryptedKeySerialNumberA value is required for online PIN transactions.
pointOfSaleInformation.encryptedPinA value is required for online PIN transactions.
pointOfSaleInformation.pinBlockEncodingFormatA value is required for online PIN transactions.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.